<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.ttnfleetsolutions.ttnfleet.ui.trucker.vehicle.VehicleItemViewModel" />

    </data>

    <android.support.constraint.ConstraintLayout
        android:id="@+id/rowLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:onClick="@{() -> viewModel.onItemClick()}"
        android:padding="@dimen/activity_horizontal_margin">

        <TextView
            android:id="@+id/name"
            style="@style/TextAppearance.Text.SubHeading"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@{viewModel.vehicleName}"
            android:textColor="@color/gray_darker"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/number"
            style="@style/TextAppearance.Text.Body1"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@{viewModel.VIN}"
            android:textColor="@color/gray_normal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/name" />
    </android.support.constraint.ConstraintLayout>
</layout>